Update an alternative code
curl --request PATCH \
--url https://clarus-api.com/api/alternative_codes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "alternative_codes",
"attributes": {
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code"
}
}
}
'import requests
url = "https://clarus-api.com/api/alternative_codes/{id}"
payload = { "data": {
"type": "alternative_codes",
"attributes": {
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'alternative_codes',
attributes: {name: 'Customer SKU (legacy)', description: 'Deprecated customer code'}
}
})
};
fetch('https://clarus-api.com/api/alternative_codes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "88",
"type": "alternative_codes",
"attributes": {
"code": "ALT-12345",
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code",
"alternative_code_type_id": 3,
"alternative_codeable_type": "Product",
"alternative_codeable_id": 42
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Alternative Codes
Update an alternative code
Update an existing alternative code’s value, name, or associations.
PATCH
/
api
/
alternative_codes
/
{id}
Update an alternative code
curl --request PATCH \
--url https://clarus-api.com/api/alternative_codes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "alternative_codes",
"attributes": {
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code"
}
}
}
'import requests
url = "https://clarus-api.com/api/alternative_codes/{id}"
payload = { "data": {
"type": "alternative_codes",
"attributes": {
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'alternative_codes',
attributes: {name: 'Customer SKU (legacy)', description: 'Deprecated customer code'}
}
})
};
fetch('https://clarus-api.com/api/alternative_codes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "88",
"type": "alternative_codes",
"attributes": {
"code": "ALT-12345",
"name": "Customer SKU (legacy)",
"description": "Deprecated customer code",
"alternative_code_type_id": 3,
"alternative_codeable_type": "Product",
"alternative_codeable_id": 42
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the alternative code to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Show child attributes
Show child attributes
⌘I

